Get Collection
Get a collection’s details, artwork and movie summaries.
GET https://api.mediux.io/collections/{collectionId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Collection with child movies
Section titled “Collection with child movies”Status: 200 OK
Response headers:
content-type: application/json; charset=utf-8{ "data": { "id": 10, "kind": "collection", "title": "Example Collection", "overview": "An example collection overview.", "firstReleaseDate": "1999-03-31", "latestReleaseDate": "2003-11-05", "metadataImages": { "poster": "https://images.mediux.io/metadata/collections/10/poster.webp", "backdrop": null, "logo": null }, "assets": { "posters": [], "backdrops": [], "logos": [], "squareArts": [] }, "movies": [ { "id": 603, "kind": "movie", "title": "Example Movie", "releaseDate": "1999-03-31" }, { "id": 604, "kind": "movie", "title": "Example Movie Reloaded", "releaseDate": "2003-05-15" } ] }}Collection not found
Section titled “Collection not found”Status: 404 Not Found
Response headers:
content-type: application/json; charset=utf-8{ "data": null, "error": { "code": "not_found", "message": "The requested resource was not found." }}